Bug 734732 - oom killer is killing more processes than is needed
Summary: oom killer is killing more processes than is needed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.2
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Kunshan Wang
URL:
Whiteboard:
Depends On:
Blocks: 743047
TreeView+ depends on / blocked
 
Reported: 2011-08-31 10:28 UTC by Frantisek Hrbata
Modified: 2011-12-06 14:27 UTC (History)
6 users (show)

Fixed In Version: kernel-2.6.32-196.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 14:27:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1530 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Linux 6 kernel security, bug fix and enhancement update 2011-12-06 01:45:35 UTC

Description Frantisek Hrbata 2011-08-31 10:28:51 UTC
Description of problem:

The oom killer is continuing to kill other processes, while a process previously selected by oom killer is already freeing its memory. Meaning, oom killer kills more and innocent tasks.

Version-Release number of selected component (if applicable):

kernel-2.6.32-174.el6 and newer

How reproducible:
Create a simple mem hog process and the oom killer will kill it along with another innocent process.

Steps to Reproduce:
1. swapoff -a
2. echo 1 > /proc/sys/vm/overcommit_memory
3. run mem hog process
  
Actual results:
The mem hog process is killed along with another innocent processes.

Expected results:
Only the mem hog process is killed.

Additional info:

Fixed by the following upstream commit:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=c027a474a68065391c8773f6e83ed5412657e369

Comment 3 RHEL Product and Program Management 2011-09-07 14:20:18 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 4 Aristeu Rozanski 2011-09-12 15:04:09 UTC
Patch(es) available on kernel-2.6.32-196.el6

Comment 8 errata-xmlrpc 2011-12-06 14:27:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1530.html


Note You need to log in before you can comment on or make changes to this bug.